local L = AceLibrary("AceLocale-2.2"):new("ag_UnitFrames")

aUF.Layouts.oUF = {
		Name = "oUF",
		Tip = "ABF Tip",
		ResizeBars = false,
		BackgroundBarColor = true,
		AlphaBar = true,
		RaidColorName = false,
		PetClassName = true,	
		ComboGFX = true,
		HappinessBar = true,
		ResizableBar = true,
		
		ThemeData = {
			all = {
				FrameHeight = 26,
				FrameWidth = 190,
								
				HitIndicator = {
					Point = "CENTER",
					RelativePoint = "CENTER",
					x = 1,
					y = 1,	
				},

				Combo1 = 	{ 		Point = "BOTTOMRIGHT",
									RelativePoint = "BOTTOMRIGHT",
									x = 1,
									y = -1,	
									Height = 10,
									HeightAdd = 0,									
									Width = 10,
								},
								
				ComboText = {		
									Point = "TOPLEFT",
									RelativePoint = "TOPLEFT",
									x = -15,
									y = -15,
									FontSize = 24,
									Justify = "LEFT",
									Width = 40, 
								},								
								
				HealthBar_BG = 	{ 	Point = "TOPLEFT",
                                    RelativePoint = "TOPLEFT",
									x = 7,
									y = -7,	
									Visibility = {"HealthBar_BG","HealthBar","BarHealthText","HealthText",},
									Height = 12,
									HeightAdd = 0,									
									Width = 86,
								},
									
				ManaBar_BG = 	{	Point = "TOP",
									RelativeTo = "HealthBar_BG", 				
									RelativePoint = "BOTTOM", 
									x = 0, 
									y = -3, 
									HeightAdd = 15,
									Visibility = {"ManaBar_BG","ManaBar","BarManaText","ManaText","ClassText",},	
									Height = 12,
									Width = 86,
								},
								
				XPBar_BG = 		{	Point = "TOPLEFT", 
									RelativeTo = "ManaBar_BG", 
									RelativeTo2 = "HealthBar_BG", 
									RelativePoint = "BOTTOMLEFT", 
									x = 0, 
									y = -3, 
									HeightAdd = 7,
									Visibility = {"XPBar_BG","XPBar","XPBar_Rest"},	
									Width = 86,
									Height = 4,
								},
						
				NameBackground=	{	Hidden = true,
								},
								
					Happiness =	{	Point = "TOPLEFT",
									RelativeTo = "HealthBar_BG",
									RelativePoint = "TOPLEFT", 
									x=0,
									y=0,
									Height = 15,
									Width = 51,
									Visibility = {"Happiness",},
								},
								
				NameLabel = 	{ 	Font = L["Fonts\\FRIZQT__.TTF"], 
									FontSize = 8, 
									Width = 84, 
									Point = "LEFT", 
									RelativeTo = "HealthBar", 
									RelativePoint = "LEFT", 
									x = 2, 
									y =0.5,
								},
				
				ClassText =	 	{ 	Font = L["Fonts\\FRIZQT__.TTF"], 
									FontSize = 8, 
									Justify = "LEFT",
									Width = 84, 
									Point = "LEFT", 
									RelativeTo = "ManaBar", 
									RelativePoint = "LEFT", 
									x = 2, 
									y =0.5,
									Height = 1,
								},
					
				HealthText = 	{ 	Font = L["Fonts\\FRIZQT__.TTF"], 
									FontSize = 8,
									Point = "RIGHT", 
									RelativeTo = "HealthBar_BG", 
									RelativePoint = "RIGHT", 
									x=-2,
									y=0.5,
									Width = 60,
									Height = 1,
								},
					
				ManaText = 		{ 	Font = L["Fonts\\FRIZQT__.TTF"], 
									FontSize = 8,
									Point = "RIGHT", 
									RelativeTo = "ManaBar_BG", 
									RelativePoint = "RIGHT", 
									x=-2,
									y=0.5,
									Width = 60,
									Height = 1,
								},
									
				BarHealthText = { 	Font = L["Fonts\\FRIZQT__.TTF"], 
									FontSize = 7,
									RelativeTo = "HealthBar_BG",
									Point = "CENTER",
									RelativePoint = "CENTER",
									x=0,
									y=0.5,
									Width = 60,									
									Height = 1,
								},
									
				BarManaText = 	{ 	Font = L["Fonts\\FRIZQT__.TTF"], 
									FontSize = 7,
									RelativeTo = "ManaBar_BG",
									Point = "CENTER",
									RelativePoint = "CENTER",
									x=0,
									y=0.5,
									Width = 60,									
									Height = 1,
								},
				
				PVPIcon = 		{ 	Point = "TOPRIGHT", 
									RelativePoint = "TOPRIGHT", 
									x = 14, 
									y= 2,
								},

				InCombatIcon =		{	Point = "TOPRIGHT",
									RelativeTo = "PVPIcon",
									RelativePoint = "TOPLEFT",
									x = 0,
									y = 3,
								},
								
				RestingIcon =		{	Point = "TOPRIGHT",
									RelativeTo = "PVPIcon",
									RelativePoint = "TOPLEFT",
									x = 0,
									y = 2,
								},

				RaidTargetIcon =	{	Point = "CENTER",
									RelativePoint = "TOP",
									x = 0,
									y = -3,
								},
								
				LeaderIcon = 	{ 	Point = "TOPLEFT", 
									RelativePoint = "TOPLEFT", 
									x = -2, 
									y= 2,
								},
								
				MasterIcon = 	{ 	Point = "TOPLEFT", 
									RelativePoint = "TOPLEFT", 
									x = -5, 
									y= 2,
								},
				Portrait = 		{	Hidden = true,
									Visibility = {"Portrait","PortraitModel"}
								},									
			},
			raid = {
				FrameWidth = 170,
				HealthBar_BG = 	{ 	Width = 87,
								},
				ManaBar_BG = 	{	Width = 87,
								},							
			}
		}
	}
